Britive platform release 2026.03.02 is now live in production.

Update Resource Type

Prev Next
Put
/api/resource-manager/resource-types/{id}

Update resource type

Security
HTTP
Type bearer
Path parameters
id
stringRequired

ID of the resource type to partially update

Body parameters

Information to update resource type

Expand All
object
resourceTypeId
string
name
string
description
string
createdBy
integer
updatedBy
integer
parameters
Array of object (ResourceTypeParam)
object
name
string
paramType
string

Allowed values are 'string', 'password', 'ip-cidr', 'regex-pattern', 'list(comma-separated string)'

isMandatory
boolean
Defaultfalse
resourceCount
integer
createdOn
string
updatedOn
string
Responses
200

Resource type updated successfully

Expand All
object
resourceTypeId
string
name
string
description
string
createdBy
integer
updatedBy
integer
parameters
Array of object (ResourceTypeParam)
object
name
string
paramType
string

Allowed values are 'string', 'password', 'ip-cidr', 'regex-pattern', 'list(comma-separated string)'

isMandatory
boolean
Defaultfalse
resourceCount
integer
createdOn
string
updatedOn
string
404

Not Found